Subject: [PATCH, RFC 3/8] ARM: twd: clock rate from DT (if no DT clk tree)

From: [email-masked] (Santosh Shilimkar)
Date: Tue, 19 Feb 2013 15:48:27 +0530

On Monday 18 February 2013 05:07 PM, Afzal Mohammed wrote:
> Add an optional property to find clock-frequency from DT. This helps
> as a fallback mechanism in case there is no representation of clock
> tree in DT.
>
> Signed-off-by: Afzal Mohammed <[email-masked]>
> ---
This won't work always because twd clock is CPU dependent and changes
with CPU clock speed. And more importantly to get CPUFreq working, you
need to provide the correct clock-node to TWD library. Refer OMAP4 clock
data for reference.

Regards,
Santosh